본문 : http://www.ischo.net -- 조인상 //시스템 엔지니어

+++++++++++++++++++++++++++++++++++++++++++++++++++++++

출처 : http://cafe.naver.com/aix/5934


Here are some useful commands for determining which AIX software packages are installed and their version/fix levels.

List all installed filesets with their version level
#  lslpp -L

AIX maintenance level
#  oslevel

List known AIX maintnenance levels
#  oslevel -q

List filesets that are below the AIX 4.3.2.0 maintenance level
#  oslevel -l 4.3.2.0

Determine whether a fix is installed (for example. fixes IX38794 and IX48523), and what it fixes (-a).
#  instfix -iak IX38794

Determine if a maintenance package is installed
#  instfix -ik 433-02_AIX_ML

Determine which filesets need updating to reach the 4.3.3.0-02 level
#  instfix -ciqk 4330-02_AIX_ML | grep ":-:"


================================================================================

한국 IBM 공병찬 님이 작성한 내용입니다.

# instfix -i | grep ML
    All filesets for 5.3.0.0_AIX_ML were found.
    All filesets for 5300-01_AIX_ML were found.
    All filesets for 5300-02_AIX_ML were found.
    All filesets for 5300-03_AIX_ML were found.
    All filesets for 5300-04_AIX_ML were found.
    All filesets for 5300-05_AIX_ML were found.

# instfix -i | grep SP
    All filesets for 5300-03-CSP_SP were found.
    All filesets for 5300-04-01_SP were found.
    All filesets for 5300-04-02_SP were found.
    All filesets for 5300-04-03_SP were found.

# instfix -icqk 5300-05_AIX_ML | grep ":-:"
  <== List lower level filesets (:-:)

# instfix -icqk 5300-05_AIX_ML | more
5300-05_AIX_ML:Java14.sdk:1.4.2.52:1.4.2.75:+:AIX 5300-05 Update  <== :+: higher level applied
5300-05_AIX_ML:X11.adt.imake:5.3.0.30:5.3.0.30:=:AIX 5300-05 Update <== :=: same level applied
5300-05_AIX_ML:X11.adt.include:5.3.0.50:5.3.0.50:=:AIX 5300-05 Update
[...]  <== if there is :-:, it means lower level applied

# instfix -ivk 5300-05_AIX_ML | more
5300-05_AIX_ML Abstract: AIX 5300-05 Update
    Fileset Java14.ext.commapi is not applied on the system.
    Fileset Java14.ext.java3d is not applied on the system.
    Fileset Java14.ext.javahelp is not applied on the system.
[...]
    All filesets for 5300-05_AIX_ML were found.

# instfix -icqk 5300-03-CSP_SP
5300-03-CSP_SP:X11.apps.config:5.3.0.31:5.3.0.50:+:AIX 5300-03-CSP Concluding Service Pack
5300-03-CSP_SP:X11.base.lib:5.3.0.31:5.3.0.50:+:AIX 5300-03-CSP Concluding Service Pack
5300-03-CSP_SP:bos.64bit:5.3.0.32:5.3.0.50:+:AIX 5300-03-CSP Concluding Service Pack
[...]

# instfix -ivk 5300-03-CSP_SP
5300-03-CSP_SP Abstract: AIX 5300-03-CSP Concluding Service Pack
    Fileset X11.apps.config:5.3.0.31 is applied on the system.
    Fileset X11.base.lib:5.3.0.31 is applied on the system.
    Fileset bos.64bit:5.3.0.32 is applied on the system.
[...]

# instfix -icqk 5300-04-03_SP
5300-04-03_SP:X11.motif.lib:5.3.0.42:5.3.0.50:+:AIX 5300-04-03 Service Pack
5300-04-03_SP:bos.64bit:5.3.0.41:5.3.0.50:+:AIX 5300-04-03 Service Pack
5300-04-03_SP:bos.adt.include:5.3.0.42:5.3.0.50:+:AIX 5300-04-03 Service Pack
[...]

# instfix -ivk 5300-04-03_SP | more
5300-04-03_SP Abstract: AIX 5300-04-03 Service Pack
    Fileset PEX_PHIGS.dev.pci.14101c02 is not applied on the system.
    Fileset PEX_PHIGS.dev.pci.14106e01 is not applied on the system.
    Fileset X11.motif.lib:5.3.0.42 is applied on the system.
[...]
    All filesets for 5300-04-03_SP were found.

# oslevel -g
Fileset          Actual Level      Maintenance Level
-----------------------------------------------
bos.rte            5.3.0.50            5.3.0.0

# oslevel -s
5300-05-00

# oslevel -r
5300-05

# oslevel
5.3.0.0

# uname -uM
IBM,9133-55A IBM,03063024H

# uname -aM
AIX blue 3 5 0002A1F9D600 IBM,9133-55A
(*.95.187.205)